{"openapi":"3.0.1","info":{"title":"ENVNAMETITLE-reporting","description":"Swagger for reporting service","license":{"name":"Apache 2.0","url":"http://springdoc.org"},"version":"v0.0.1"},"externalDocs":{"description":"Reporting documentation on confluence","url":"confluenceUrl"},"servers":[{"url":"/","description":"Default Server URL"}],"tags":[{"name":"Supporter","description":"Supporter API"},{"name":"Personal fundraising page custom codes","description":"Personal fundraising pages custom codes API"},{"name":"Registration","description":"Registration API"},{"name":"Event fundraising pages","description":"Event fundraising pages API"},{"name":"Personal fundraising pages","description":"Personal fundraising pages API"},{"name":"Supporter Custom Codes","description":"SupporterCustomCode API"},{"name":"Marketing preferences","description":"Marketing Preferences API"},{"name":"Payment","description":"Payment API"},{"name":"Campaign","description":"Campaign API"},{"name":"Payout","description":"Payout API"},{"name":"Schedules","description":"Schedules API"},{"name":"Donation","description":"Donation API"},{"name":"FundraisingLeaderboard","description":"Fundraising Leaderboard API"},{"name":"Team fundraising pages","description":"Team fundraising pages API"}],"paths":{"/teamFundraisingPagesCustomCodes":{"get":{"tags":["Team Fundraising Page Custom Codes"],"summary":"Returns a list of team fundraising page custom codes","description":"Returns a list of team fundraising page custom codes","operationId":"getTeamFundraisingPageCustomCodes","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"account_guids","in":"query","description":"A list of unique account GUIDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"custom_code_ids","in":"query","description":"A list of unique custom code IDs","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"pf_id","in":"query","description":"An unique team page ID","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"The number of pages to skip before starting to collect the result set","required":false,"schema":{"type":"integer","format":"int32"},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"type":"integer","format":"int32"},"example":25},{"name":"access_token","in":"query","description":"The access token required for session","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTFPCustomCodePojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/teamFundraisingPagesCustomCodes"}}},"/teamFundraisingPage":{"get":{"tags":["Team fundraising pages"],"summary":"Returns a list of team fundraising pages within your account","description":"Search team fundraising pages","operationId":"getTeamFundraisingPages","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"new_team_fundraising_pages_only","in":"query","description":"Set to true to return a list of new teamFundraisingPages only. This is set to false by default which will return any fundraising pages updated within the set time, including new and updated fundraising pages","required":false,"schema":{"type":"boolean"}},{"name":"campaign_guids","in":"query","description":"A list of unique campaign IDs *Please note only one of campaignGuids/eventIds should be used","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"event_ids","in":"query","description":"A list of unique event IDs *Please note only one of campaignGuids/eventIds should be used","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"page","in":"query","description":"The page number to request, first page is 1.","required":false,"schema":{"type":"integer","format":"int32","default":1},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":10},"example":25},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTeamFundraisingPagePojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/teamFundraisingPage"}}},"/teamFundraisingPage/{pfId}":{"get":{"tags":["Team fundraising pages"],"summary":"Retrieves an existing team fundraising page record","description":"Get team fundraising page","operationId":"getTeamFundraisingPage","parameters":[{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}},{"name":"pfId","in":"path","description":"The unique personal fundraising page ID","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamFundraisingPagePojo"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","requestParameters":"STARTPATHPASSTHROUGH.pfIdMIDDLEPATHPASSTHROUGH.pfIdENDPATHPASSTHROUGH","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/teamFundraisingPage/{pfId}"}}},"/teamFundraisingPage/noCampaign":{"get":{"tags":["Team fundraising pages"],"summary":"Returns a list of team fundraising pages within your account with no linked campaign or event","description":"Get team fundraising pages with no linked campaign or event","operationId":"getTeamFundraisingPagesNoLinkedCampaign","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"page","in":"query","description":"The page number to request, first page is 1.","required":false,"schema":{"type":"integer","format":"int32","default":1},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":10},"example":25},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTeamFundraisingPagePojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/teamFundraisingPage/noCampaign"}}},"/supporter":{"get":{"tags":["Supporter"],"summary":"Retrieves a list of supporter records","description":"Search supporters","operationId":"getSupporterBySearch","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"new_supporters_only","in":"query","description":"Set to true to return a list of new supporters only. This is set to false by default which will return any supporters updated within the set time, including new and updated supporters","required":false,"schema":{"type":"boolean"}},{"name":"campaign_guids","in":"query","description":"A list of unique campaign IDs *Please note only one of campaignGuids/eventIds should be used","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"event_ids","in":"query","description":"A list of unique event IDs *Please note only one of campaignGuids/eventIds should be used","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"page","in":"query","description":"The page number to request, first page is 1.","required":false,"schema":{"type":"integer","format":"int32","default":1},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":10},"example":25},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListSupporterPojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/supporter"}}},"/supporterCustomCodes":{"get":{"tags":["Supporter Custom Codes"],"summary":"Returns a list of supporter custom codes","description":"Returns a list of supporter custom codes","operationId":"getSupporterCustomCodes","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"account_guids","in":"query","description":"A list of unique account GUIDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"custom_code_ids","in":"query","description":"A list of unique custom code IDs","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"supporter_id","in":"query","description":"An unique supporter ID","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"The number of pages to skip before starting to collect the result set","required":false,"schema":{"type":"integer","format":"int32"},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"type":"integer","format":"int32"},"example":25},{"name":"access_token","in":"query","description":"The access token required for session","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListSupporterCustomCodePojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/supporterCustomCodes"}}},"/supporter/{supporter_id}":{"get":{"tags":["Supporter"],"summary":"Retrieves an existing supporter record","description":"Get supporters","operationId":"getSupporter","parameters":[{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}},{"name":"supporter_id","in":"path","description":"The unique supporter ID","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupporterPojo"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","requestParameters":"STARTPATHPASSTHROUGH.supporter_idMIDDLEPATHPASSTHROUGH.supporter_idENDPATHPASSTHROUGH","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/supporter/{supporter_id}"}}},"/schedules":{"get":{"tags":["Schedules"],"summary":"Retrieves a list of schedule donation records","description":"Search schedules","operationId":"searchSchedule","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"new_schedules_only","in":"query","description":"Set to true to return a list of new schedules only. This is set to false by default which will return any schedules updated within the set time, including new and updated schedules","required":false,"schema":{"type":"boolean"}},{"name":"campaign_guids","in":"query","description":"A list of unique campaign IDs *Please note only one of campaignGuids/eventIds should be used","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"event_ids","in":"query","description":"A list of unique event IDs *Please note only one of campaignGuids/eventIds should be used","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"page","in":"query","description":"The page number to request, first page is 1.","required":false,"schema":{"type":"integer","format":"int32","default":1},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":10},"example":25},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListSchedulePojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/schedules"}}},"/schedules/{schedule_id}":{"get":{"tags":["Schedules"],"summary":"Retrieves a schedule donation record","description":"Get schedule","operationId":"getSchedule","parameters":[{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}},{"name":"schedule_id","in":"path","description":"The unique schedule ID","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchedulePojo"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","requestParameters":"STARTPATHPASSTHROUGH.schedule_idMIDDLEPATHPASSTHROUGH.schedule_idENDPATHPASSTHROUGH","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/schedules/{schedule_id}"}}},"/registrations":{"get":{"tags":["Registration"],"summary":"Returns a list of registrations within your account","description":"Search registrations","operationId":"getRegistrations","parameters":[{"name":"search","in":"query","description":"String to search","required":false,"schema":{"type":"string"}},{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"campaign_guids","in":"query","description":"A list of unique campaign IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"order_by","in":"query","description":"A to order the returned list of registrations in alphabetically ascending order.","required":false,"schema":{"type":"string","enum":["FIRSTNAME","LASTNAME","REGISTRATIONUPDATEDAT","NULLVALUE"]}},{"name":"entry_status","in":"query","description":"Filter the returned list of registrations by the status on the registration","required":false,"schema":{"type":"string","enum":["CANCELLED","COMPLETED","DELETED","STAGED","WAITINGLIST","NULLVALUE"]}},{"name":"new_registrations_only","in":"query","description":"Set to true to return a list of new registrations only. This is set to false by default which will return any registrations updated within the set time, including new and updated registrations","required":false,"schema":{"type":"boolean"}},{"name":"page","in":"query","description":"The page number to request, first page is 1.","required":false,"schema":{"type":"integer","format":"int32","default":1},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":10},"example":25},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListRegistrationPojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/registrations"}}},"/registrations/{registration_guid}":{"get":{"tags":["Registration"],"summary":"Retrieves an existing registration record","description":"Get registration","operationId":"getRegistration","parameters":[{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}},{"name":"registration_guid","in":"path","description":"The unique registration ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegistrationPojo"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","requestParameters":"STARTPATHPASSTHROUGH.registration_guidMIDDLEPATHPASSTHROUGH.registration_guidENDPATHPASSTHROUGH","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/registrations/{registration_guid}"}}},"/personalFundraisingPage":{"get":{"tags":["Personal fundraising pages"],"summary":"Returns a list of personal fundraising pages within your account","description":"Search personal fundraising pages","operationId":"getPersonalFundraisingPages","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"new_personal_fundraising_pages_only","in":"query","description":"Set to true to return a list of new personalFundraisingPages only. This is set to false by default which will return any fundraising pages updated within the set time, including new and updated fundraising pages","required":false,"schema":{"type":"boolean"}},{"name":"campaign_guids","in":"query","description":"A list of unique campaign IDs *Please note only one of campaignGuids/eventIds should be used","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"event_ids","in":"query","description":"A list of unique event IDs *Please note only one of campaignGuids/eventIds should be used","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"page","in":"query","description":"The page number to request, first page is 1.","required":false,"schema":{"type":"integer","format":"int32","default":1},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":10},"example":25},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListPersonalFundraisingPagePojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/personalFundraisingPage"}}},"/personalFundraisingPageCustomCodes":{"get":{"tags":["Personal fundraising page custom codes"],"summary":"Returns a list of PFP custom codes","description":"Returns a list of PFP custom codes","operationId":"getPersonalFundraisingPageCustomCodes","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"account_guids","in":"query","description":"A list of unique account GUIDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"custom_code_ids","in":"query","description":"A list of unique custom code IDs","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"pf_id","in":"query","description":"An unique personal fundraising page ID","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"The number of pages to skip before starting to collect the result set","required":false,"schema":{"type":"integer","format":"int32"},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"type":"integer","format":"int32"},"example":25},{"name":"access_token","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PFPCustomCodeObjects"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/personalFundraisingPageCustomCodes"}}},"/personalFundraisingPage/{pfId}":{"get":{"tags":["Personal fundraising pages"],"summary":"Retrieves an existing personal fundraising page record","description":"Get personal fundraising page","operationId":"getPersonalFundraisingPage","parameters":[{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}},{"name":"pfId","in":"path","description":"The unique personal fundraising page ID","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonalFundraisingPagePojo"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","requestParameters":"STARTPATHPASSTHROUGH.pfIdMIDDLEPATHPASSTHROUGH.pfIdENDPATHPASSTHROUGH","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/personalFundraisingPage/{pfId}"}}},"/personalFundraisingPage/noCampaign":{"get":{"tags":["Personal fundraising pages"],"summary":"Returns a list of personal fundraising pages within your account that have no linked campaign or event","description":"Search personal fundraising pages that have no linked campaign or event","operationId":"getPersonalFundraisingPagesNoLinkedCampaign","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"page","in":"query","description":"The page number to request, first page is 1.","required":false,"schema":{"type":"integer","format":"int32","default":1},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":10},"example":25},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListPersonalFundraisingPagePojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/personalFundraisingPage/noCampaign"}}},"/payouts":{"get":{"tags":["Payout"],"summary":"Returns a list of payouts within your account","description":"Search payouts","operationId":"getPayouts","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"account_guids","in":"query","description":"A list of unique account Guids","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"order_by","in":"query","description":"A way to order the returned list of payouts","required":false,"schema":{"type":"string","enum":["DATECREATED","TOTALPAYOUTAMOUNTWITHFEES","DATELASTUPDATED","DATEPAID","NULLVALUE"]}},{"name":"page","in":"query","description":"The number of pages to skip before starting to collect the result set","required":false,"schema":{"type":"integer","format":"int32"},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":10},"example":25},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListPayoutPojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/payouts"}}},"/payouts/{payout_Uuid}":{"get":{"tags":["Payout"],"summary":"Retrieves an existing payout record","description":"Get payout details","operationId":"getPayout","parameters":[{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"The number of pages to skip before starting to collect the result set","required":false,"schema":{"minimum":1,"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32"}},{"name":"payout_Uuid","in":"path","description":"The unique ID for a payout","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PayoutPojo"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","requestParameters":"STARTPATHPASSTHROUGH.payout_UuidMIDDLEPATHPASSTHROUGH.payout_UuidENDPATHPASSTHROUGH","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/payouts/{payout_Uuid}"}}},"/payments":{"get":{"tags":["Payment"],"summary":"Returns a list of payments within your account","description":"Search payments","operationId":"getPayments","parameters":[{"name":"first_name","in":"query","description":"First name","required":false,"schema":{"type":"string"}},{"name":"last_name","in":"query","description":"Last name","required":false,"schema":{"type":"string"}},{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"order_by","in":"query","description":"A way to order the returned list of payments in alphabetically ascending order.","required":false,"schema":{"type":"string","enum":["FIRSTNAME","LASTNAME","TRANSACTIONTYPE","PAYMENTDATE","NULLVALUE"]}},{"name":"page","in":"query","description":"The page number to request, first page is 1.","required":false,"schema":{"type":"integer","format":"int32","default":1},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":10},"example":25},{"name":"type","in":"query","description":"Transaction type","required":false,"schema":{"type":"string","enum":["PAYMENT","REFUND","NULLVALUE"]}},{"name":"payment_method_reference","in":"query","description":"The reference to the method of payment","required":false,"schema":{"type":"string"}},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListPaymentTransactionPojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/payments"}}},"/payments/{payment_guid}":{"get":{"tags":["Payment"],"summary":"Retrieves an existing payment record","description":"Get payment","operationId":"getPayment","parameters":[{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}},{"name":"payment_guid","in":"path","description":"The unique global ID for a payment","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentTransactionPojo"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","requestParameters":"STARTPATHPASSTHROUGH.payment_guidMIDDLEPATHPASSTHROUGH.payment_guidENDPATHPASSTHROUGH","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/payments/{payment_guid}"}}},"/marketingPreferences":{"get":{"tags":["Marketing preferences"],"summary":"Retrieves a list of marketing preference records","description":"Search for marketing preferences","operationId":"searchMarketingPreferences","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"campaign_guids","in":"query","description":"A list of unique campaign IDs *Please note only one of campaignGuids/eventIds should be used","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"event_ids","in":"query","description":"A list of unique event IDs *Please note only one of campaignGuids/eventIds should be used","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"page","in":"query","description":"The page number to request, first page is 1.","required":false,"schema":{"type":"integer","format":"int32","default":1},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":10},"example":25},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListMarketingPreferencesPojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/marketingPreferences"}}},"/marketingPreferences/{supporter_id}":{"get":{"tags":["Marketing preferences"],"summary":"Retrieves an existing marketing preference record","description":"Get marketing preferences","operationId":"getMarketingPreferences","parameters":[{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}},{"name":"supporter_id","in":"path","description":"The unique supporter ID","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketingPreferencesPojo"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","requestParameters":"STARTPATHPASSTHROUGH.supporter_idMIDDLEPATHPASSTHROUGH.supporter_idENDPATHPASSTHROUGH","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/marketingPreferences/{supporter_id}"}}},"/fundraisingLeaderboard":{"get":{"tags":["FundraisingLeaderboard"],"summary":"Returns a leaderboard of fundraisers","description":"Returns a leaderboard of fundraisers","operationId":"getFundraisingLeaderboard","parameters":[{"name":"type","in":"query","description":"Filter the response by individual or team fundraising leaderboards","required":false,"schema":{"type":"string","enum":["Team","Individual","NULLVALUE"]}},{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"campaign_guids","in":"query","description":"A list of unique campaign IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"order_by","in":"query","description":"A way to order the returned list of fundraising leaderboards in alphabetically ascending order.","required":false,"schema":{"type":"string","enum":["FIRSTNAME","LASTNAME","TEAMNAME","FUNDRAISINGTOTAL","NULLVALUE"]}},{"name":"page","in":"query","description":"The number of pages to skip before starting to collect the result set","required":false,"schema":{"type":"integer","format":"int32"},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"type":"integer","format":"int32"},"example":25},{"name":"api_key","in":"query","description":"The api key required for session","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListFundraisingLeaderboardPojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/fundraisingLeaderboard"}}},"/eventFundraisingPage":{"get":{"tags":["Event fundraising pages"],"summary":"Returns a list of event fundraising pages within your account","description":"Search event fundraising pages","operationId":"getEventFundraisingPages","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"new_event_fundraising_pages_only","in":"query","description":"Set to true to return a list of new eventFundraisingPages only. This is set to false by default which will return any fundraising pages updated within the set time, including new and updated fundraising pages","required":false,"schema":{"type":"boolean"}},{"name":"campaign_guids","in":"query","description":"A list of unique campaign IDs *Please note only one of campaignGuids/eventIds should be used","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"event_ids","in":"query","description":"A list of unique event IDs *Please note only one of campaignGuids/eventIds should be used","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"page","in":"query","description":"The page number to request, first page is 1.","required":false,"schema":{"type":"integer","format":"int32","default":1},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32","default":10},"example":25},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListEventFundraisingPagePojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/eventFundraisingPage"}}},"/eventFundraisingPage/{event_page_id}":{"get":{"tags":["Event fundraising pages"],"summary":"Returns an event fundraising page","description":"Search for a specific event fundraising page","operationId":"getEventFundraisingPage","parameters":[{"name":"event_page_id","in":"path","description":"The unique event fundraising page id","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventFundraisingPagePojo"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","requestParameters":"STARTPATHPASSTHROUGH.event_page_idMIDDLEPATHPASSTHROUGH.event_page_idENDPATHPASSTHROUGH","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/eventFundraisingPage/{event_page_id}"}}},"/donations/recent":{"get":{"tags":["Donation"],"summary":"Returns a leaderboard of recent donations","description":"Returns a list of recent donations","operationId":"getRecentDonations","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"campaign_guids","in":"query","description":"A list of unique campaign IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"order_by","in":"query","description":"A way to order the returned list of donations in alphabetically ascending order.","required":false,"schema":{"type":"string","enum":["FIRSTNAME","LASTNAME","PAYMENTDATE","NULLVALUE"]}},{"name":"page","in":"query","description":"The number of pages to skip before starting to collect the result set","required":false,"schema":{"type":"integer","format":"int32"},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"type":"integer","format":"int32"},"example":25},{"name":"api_key","in":"query","description":"The api key required for session","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListRecentDonationPojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/donations/recent"}}},"/customCodes":{"get":{"tags":["Custom Codes"],"summary":"Returns a list of custom codes","description":"Returns a list of custom codes","operationId":"getCustomCodes","parameters":[{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"account_guids","in":"query","description":"A list of unique account GUIDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"custom_code_ids","in":"query","description":"A list of unique custom code IDs","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"page","in":"query","description":"The number of pages to skip before starting to collect the result set","required":false,"schema":{"type":"integer","format":"int32"},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"type":"integer","format":"int32"},"example":25},{"name":"access_token","in":"query","description":"The access token required for session","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListCustomCodePojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/customCodes"}}},"/campaigns":{"get":{"tags":["Campaign"],"summary":"Returns a list of campaigns within your account","description":"Search campaigns","operationId":"getCampaigns","parameters":[{"name":"search","in":"query","description":"String to search","required":false,"schema":{"type":"string"}},{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"campaign_types","in":"query","description":"Limit the results to only one specific campaign type","required":false,"schema":{"type":"string","enum":["FUNDRAISING","PAYMENTS","REGISTRATION","NULLVALUE"]}},{"name":"order_by","in":"query","description":"A way to order the returned list of campaigns in alphabetically ascending order.","required":false,"schema":{"type":"string","enum":["CAMPAIGNNAME","CAMPAIGNSTARTDATE","CAMPAIGNENDDATE","CAMPAIGNUPDATEDAT","TEAMENTEREDAT","NULLVALUE"]}},{"name":"page","in":"query","description":"The number of pages to skip before starting to collect the result set","required":false,"schema":{"type":"integer","format":"int32"},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"type":"integer","format":"int32"},"example":25},{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListCampaignPojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/campaigns"}}},"/campaigns/{campaign_guid}":{"get":{"tags":["Campaign"],"summary":"Retrieves an existing campaign","description":"Get campaign","operationId":"getCampaign","parameters":[{"name":"access_token","in":"query","description":"The unique login session key","required":true,"schema":{"type":"string"}},{"name":"campaign_guid","in":"path","description":"The global unique ID for a campaign","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignPojo"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","requestParameters":"STARTPATHPASSTHROUGH.campaign_guidMIDDLEPATHPASSTHROUGH.campaign_guidENDPATHPASSTHROUGH","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/campaigns/{campaign_guid}"}}},"/campaigns/summary":{"get":{"tags":["Campaign"],"summary":"Returns a summary for a single or multiple campaigns","description":"Campaign summary","operationId":"getCampaignSummary","parameters":[{"name":"campaign_guids","in":"query","description":"A list of unique campaign IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"api_key","in":"query","description":"The api key required for session","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignSummaryPojo"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/campaigns/summary"}}},"/campaigns/search":{"get":{"tags":["Campaign"],"summary":"Returns a list of registrants and teams within your account","description":"Search campaigns","operationId":"getCampaignSearchPojos","parameters":[{"name":"search","in":"query","description":"String to search","required":false,"schema":{"type":"string"}},{"name":"date_from","in":"query","description":"Date to search from in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"date_to","in":"query","description":"End date of your search in the format yyyy-MM-dd HH:mm:ss","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"campaign_guids","in":"query","description":"A list of unique campaign IDs","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"type","in":"query","description":"Filter the response by individual or team","required":false,"schema":{"type":"string","enum":["Team","Individual","NULLVALUE"]}},{"name":"page","in":"query","description":"The number of pages to skip before starting to collect the result set","required":false,"schema":{"type":"integer","format":"int32"},"example":1},{"name":"limit","in":"query","description":"The maximum number of items to return","required":false,"schema":{"type":"integer","format":"int32"},"example":25},{"name":"api_key","in":"query","description":"The api key required for session","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRequestValidationErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListCampaignSearchPojoResponse"}}}}},"security":[{"x-api-key":[]}],"x-amazon-apigateway-integration":{"passthroughBehavior":"when_no_match","type":"HTTP_PROXY","httpMethod":"GET","uri":"https://reporting.enthusehost-uri.com/campaigns/search"}}}},"components":{"schemas":{"ActivitySummaryPojo":{"type":"object","properties":{"total_distance_logged":{"type":"number","format":"double"},"total_distance_logged_str":{"type":"string"},"total_distance_logged_lbl":{"type":"string"},"distance_logged_unit":{"type":"string"},"total_time_logged":{"type":"number","format":"double"},"total_time_logged_str":{"type":"string"},"total_time_logged_lbl":{"type":"string"},"total_activities_logged":{"type":"integer","format":"int32"},"total_activities_logged_str":{"type":"string"},"total_activities_logged_lbl":{"type":"string"},"total_height_climbed":{"type":"number","format":"double"},"total_height_climbed_str":{"type":"string"},"total_height_climbed_lbl":{"type":"string"},"total_calories_burned":{"type":"integer","format":"int32"},"total_calories_burned_str":{"type":"string"},"total_calories_burned_lbl":{"type":"string"}}},"ApiRequestValidationErrorResponse":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"error":{"type":"string"},"validationErrors":{"type":"array","items":{"type":"string"}},"timestamp":{"type":"string","format":"date-time"}}},"CampaignPojo":{"type":"object","properties":{"campaign_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"name":{"type":"string"},"date_created":{"type":"string","format":"date-time"},"date_from":{"type":"string","format":"date-time"},"date_to":{"type":"string","format":"date-time"},"date_updated":{"type":"string","format":"date-time"},"enabled":{"type":"boolean"},"type":{"type":"string"},"account_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}},"CampaignSearchPojo":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"profilePic":{"type":"string"},"pageUrl":{"type":"string"},"totalRaised":{"type":"number","format":"double"},"teamName":{"type":"string"},"teamPageUrl":{"type":"string"}}},"CampaignSummaryPojo":{"type":"object","properties":{"fundraisingSummary":{"$ref":"#/components/schemas/FundraisingSummaryPojo"},"activitySummary":{"$ref":"#/components/schemas/ActivitySummaryPojo"},"donationSummary":{"$ref":"#/components/schemas/DonationSummaryPojo"},"currency":{"type":"string"}}},"CustomCodePojo":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time"},"modify_date":{"type":"string","format":"date-time"},"custom_code_id":{"type":"integer","format":"int64","example":7236487},"charity_id":{"type":"integer","format":"int64","example":7236487},"charity_account_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"custom_code_type":{"type":"integer","format":"int32","example":7236487},"name":{"type":"string"},"company_id":{"type":"integer","format":"int64","example":7236487},"company_account_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}},"DonationRegistrationPojo":{"type":"object","properties":{"donation_id":{"type":"integer","format":"int64"},"donation_amount":{"type":"number","format":"double"}}},"DonationSummaryPojo":{"type":"object","properties":{"total_donations":{"type":"integer","format":"int32"},"total_donations_str":{"type":"string"},"total_donations_lbl":{"type":"string"}}},"EventFundraisingPagePojo":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"lastUpdatedAt":{"type":"string","format":"date-time"},"eventTitle":{"type":"string"},"companyId":{"type":"integer","format":"int64","example":7236487},"charityId":{"type":"integer","format":"int64","example":7236487},"target":{"type":"number","format":"double"},"status":{"type":"string"},"eventUrl":{"type":"string"},"eventPageId":{"type":"integer","format":"int64","example":7236487},"campaignGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"charityAccountGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"companyAccountGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}},"FundraisingLeaderboardPojo":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"page_url":{"type":"string"},"total_raised":{"type":"number","format":"double"},"total_raised_str":{"type":"string"},"total_raised_online":{"type":"number","format":"double"},"total_raised_online_str":{"type":"string"},"total_raised_giftaid":{"type":"number","format":"double"},"total_raised_giftaid_str":{"type":"string"},"total_raised_offline":{"type":"number","format":"double"},"total_raised_offline_str":{"type":"string"},"total_target":{"type":"number","format":"double"},"total_target_str":{"type":"string"},"profile_picture_url_list":{"type":"array","items":{"type":"string"}},"currency":{"type":"string"}}},"FundraisingPojo":{"type":"object","properties":{"campaign_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"page_id":{"type":"integer","format":"int64"}}},"FundraisingSummaryPojo":{"type":"object","properties":{"total_fundraisers":{"type":"integer","format":"int32"},"total_fundraisers_str":{"type":"string"},"total_fundraisers_lbl":{"type":"string"},"total_teams":{"type":"integer","format":"int32"},"total_teams_str":{"type":"string"},"total_teams_lbl":{"type":"string"},"total_raised":{"type":"number","format":"double"},"total_raised_str":{"type":"string"},"total_raised_lbl":{"type":"string"},"total_raised_online":{"type":"number","format":"double"},"total_raised_online_str":{"type":"string"},"total_raised_online_lbl":{"type":"string"},"total_raised_giftaid":{"type":"number","format":"double"},"total_raised_giftaid_str":{"type":"string"},"total_raised_giftaid_lbl":{"type":"string"},"total_raised_offline":{"type":"number","format":"double"},"total_raised_offline_str":{"type":"string"},"total_raised_offline_lbl":{"type":"string"},"total_target":{"type":"number","format":"double"},"total_target_str":{"type":"string"},"total_target_lbl":{"type":"string"}}},"ListCampaignPojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"campaignList":{"type":"array","items":{"$ref":"#/components/schemas/CampaignPojo"}}}},"ListCampaignSearchPojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"campaignSearchList":{"type":"array","items":{"$ref":"#/components/schemas/CampaignSearchPojo"}}}},"ListCustomCodePojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"customCodeList":{"type":"array","items":{"$ref":"#/components/schemas/CustomCodePojo"}},"totalCount":{"type":"integer","format":"int32"}}},"ListEventFundraisingPagePojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"pagination":{"$ref":"#/components/schemas/PaginationResponse"},"eventFundraisingPageList":{"type":"array","items":{"$ref":"#/components/schemas/EventFundraisingPagePojo"}}}},"ListFundraisingLeaderboardPojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"fundraisingLeaderboardList":{"type":"array","items":{"$ref":"#/components/schemas/FundraisingLeaderboardPojo"}}}},"ListMarketingPreferencesPojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"pagination":{"$ref":"#/components/schemas/PaginationResponse"},"marketingPreferencesPojoList":{"type":"array","items":{"$ref":"#/components/schemas/MarketingPreferencesPojo"}}}},"ListPaymentTransactionPojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"pagination":{"$ref":"#/components/schemas/PaginationResponse"},"paymentList":{"type":"array","items":{"$ref":"#/components/schemas/PaymentTransactionPojo"}}}},"ListPayoutPojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"payoutList":{"type":"array","items":{"$ref":"#/components/schemas/PayoutPojo"}},"page":{"type":"integer","description":"current page.","format":"int32","example":1},"per_page":{"type":"integer","description":"records per page.","format":"int32","example":20},"page_count":{"type":"integer","description":"total number of pages.","format":"int32","example":10},"total_count":{"type":"integer","description":"total number of records.","format":"int32","example":200},"pagination_str":{"type":"string","description":"user friendly representation of current pagination","example":"Viewing 1-1 of 1"}}},"ListPersonalFundraisingPagePojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"pagination":{"$ref":"#/components/schemas/PaginationResponse"},"personalFundraisingPageList":{"type":"array","items":{"$ref":"#/components/schemas/PersonalFundraisingPagePojo"}}}},"ListRecentDonationPojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"recentDonationList":{"type":"array","items":{"$ref":"#/components/schemas/RecentDonationPojo"}},"page":{"type":"integer","description":"current page.","format":"int32","example":1},"per_page":{"type":"integer","description":"records per page.","format":"int32","example":20},"page_count":{"type":"integer","description":"total number of pages.","format":"int32","example":10},"total_count":{"type":"integer","description":"total number of records.","format":"int32","example":200},"pagination_str":{"type":"string","description":"user friendly representation of current pagination","example":"Viewing 1-1 of 1"}}},"ListRegistrationPojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"pagination":{"$ref":"#/components/schemas/PaginationResponse"},"registrationList":{"type":"array","items":{"$ref":"#/components/schemas/RegistrationPojo"}}}},"ListSchedulePojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"pagination":{"$ref":"#/components/schemas/PaginationResponse"},"schedulePojoList":{"type":"array","items":{"$ref":"#/components/schemas/SchedulePojo"}}}},"ListSupporterCustomCodePojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"supporterCustomCodePojoList":{"type":"array","items":{"$ref":"#/components/schemas/SupporterCustomCodePojo"}},"totalCount":{"type":"integer","format":"int32"}}},"ListSupporterPojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"pagination":{"$ref":"#/components/schemas/PaginationResponse"},"supporterPojoList":{"type":"array","items":{"$ref":"#/components/schemas/SupporterPojo"}}}},"ListTFPCustomCodePojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"teamFundraisingPageCustomCodePojoList":{"type":"array","items":{"$ref":"#/components/schemas/TFPCustomCodePojo"}},"totalCount":{"type":"integer","format":"int32"}}},"ListTeamFundraisingPagePojoResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"pagination":{"$ref":"#/components/schemas/PaginationResponse"},"teamFundraisingPageList":{"type":"array","items":{"$ref":"#/components/schemas/TeamFundraisingPagePojo"}}}},"MarketingPreferencesPojo":{"type":"object","properties":{"answeredAt":{"type":"string","format":"date-time"},"supporterId":{"type":"integer","format":"int64","example":7236487},"charityAccountGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"emailOptIn":{"type":"boolean"},"phoneOptIn":{"type":"boolean"},"smsOptIn":{"type":"boolean"},"postOptIn":{"type":"boolean"},"charityId":{"type":"integer","format":"int64","example":7236487},"allowedToContact":{"type":"boolean"},"permissionStatement":{"type":"string"},"campaignGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}},"MerchandisePojo":{"type":"object","properties":{"merchandise_id":{"type":"integer","format":"int64"},"merchandise_item_id":{"type":"integer","format":"int64"},"merchandise_name":{"type":"string"},"merchandise_item":{"type":"string"},"price":{"type":"number","format":"double"},"payment":{"type":"array","items":{"$ref":"#/components/schemas/PaymentPojo"}}}},"MetaDataPojo":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}},"PFPCustomCodeObjects":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"},"pfpCustomCodeCodeList":{"type":"array","items":{"$ref":"#/components/schemas/PFPCustomCodePojo"}}}},"PFPCustomCodePojo":{"type":"object","properties":{"customCodeId":{"type":"integer","format":"int64"},"pfId":{"type":"integer","format":"int64"},"value":{"type":"string"},"name":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"modifyDate":{"type":"string","format":"date-time"}}},"PaginationResponse":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"pageCount":{"type":"integer","format":"int32"},"totalElements":{"type":"integer","format":"int64"}}},"PaymentPojo":{"type":"object","properties":{"payment_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"campaign_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"registration_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}},"PaymentTransactionPojo":{"type":"object","properties":{"payment_transaction_guid":{"type":"string","format":"uuid"},"charity_account_guid":{"type":"string","format":"uuid"},"company_account_guid":{"type":"string","format":"uuid"},"shared_campaign_guid":{"type":"string","format":"uuid"},"registrations_event_id":{"type":"integer","format":"int64"},"registrations_order_id":{"type":"integer","format":"int64"},"fundraise_event_page_id":{"type":"integer","format":"int64"},"fundraise_checkout_id":{"type":"integer","format":"int64"},"fundraise_payment_id":{"type":"integer","format":"int64"},"payment_method_reference":{"type":"string"},"payment_system":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"transaction_type":{"type":"string"},"product_type":{"type":"string"},"payment_date":{"type":"string","format":"date-time"},"fundraise_page_or_team_page_ids":{"type":"array","items":{"type":"integer","format":"int64"}},"payment_type":{"type":"string"},"currency":{"type":"string"},"platform_fee":{"type":"number","format":"double"},"gift_aid_fee":{"type":"number","format":"double"},"service_fee":{"type":"number","format":"double"},"payment_provider_fee":{"type":"number","format":"double"},"amount_without_fees":{"type":"number","format":"double"},"amount_with_fees":{"type":"number","format":"double"},"gift_aid_amount":{"type":"number","format":"double"},"donor_fee_covered_amount":{"type":"number","format":"double"},"fee_model":{"type":"string"},"is_submitted_to_hmrc_status":{"type":"boolean"},"fundraise_schedule_id":{"type":"integer","format":"int64"},"parent_payment_transaction_guid":{"type":"string","format":"uuid"},"title":{"type":"string"},"house_name":{"type":"string"},"address_line_1":{"type":"string"},"address_line_2":{"type":"string"},"town":{"type":"string"},"post_code":{"type":"string"},"country_code":{"type":"string"},"supporter_id":{"type":"integer","format":"int64"},"is_guest":{"type":"boolean"},"is_anonymous":{"type":"boolean"},"donation_message":{"type":"string"},"email":{"type":"string"},"checkoutReferenceCode":{"type":"string"},"purchaseInformation":{"type":"string"}}},"PayoutPojo":{"type":"object","properties":{"payout_uuid":{"type":"string","format":"uuid"},"account_guid":{"type":"string"},"currency":{"type":"string"},"date_created":{"type":"string","format":"date-time"},"date_updated":{"type":"string","format":"date-time"},"date_paid":{"type":"string","format":"date-time"},"no_payments":{"type":"integer","format":"int32"},"no_refunds":{"type":"integer","format":"int32"},"original_payout_amount":{"type":"number","format":"double"},"payment_provider_fee_sum":{"type":"number","format":"double"},"processing_fees_sum":{"type":"number","format":"double"},"status":{"type":"string"},"stripe_balance_transaction_id":{"type":"string"},"stripe_destination_bank_id":{"type":"string"},"stripe_payout_description":{"type":"string"},"stripe_payout_id":{"type":"string"},"total_fees_charged":{"type":"number","format":"double"},"total_gift_aid_amount":{"type":"number","format":"double"},"total_gifting_added":{"type":"number","format":"double"},"total_payout_amount_with_fees":{"type":"number","format":"double"},"total_payout_amount_without_fees":{"type":"number","format":"double"},"total_refund_amount":{"type":"number","format":"double"},"payment_transaction_list":{"type":"array","items":{"$ref":"#/components/schemas/PaymentTransactionPojo"}},"payment_transaction_ids":{"type":"array","items":{"type":"string"}},"page":{"type":"integer","format":"int32","example":0},"per_page":{"type":"integer","format":"int32","example":20},"page_count":{"type":"integer","format":"int32","example":10},"total_count":{"type":"integer","format":"int32","example":200},"pagination_str":{"type":"string","example":"Viewing 1-20 of 200"}}},"PersonalFundraisingPagePojo":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"liveDate":{"type":"string","format":"date-time"},"lastUpdatedAt":{"type":"string","format":"date-time"},"supporterId":{"type":"integer","format":"int64","example":7236487},"companyId":{"type":"integer","format":"int64","example":7236487},"charityId":{"type":"integer","format":"int64","example":7236487},"charityAccountGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"companyAccountGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"campaignGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"displayName":{"type":"string"},"title":{"type":"string"},"raisedAmount":{"type":"number","format":"double"},"totalOfflineDonations":{"type":"number","format":"double"},"giftAidRaised":{"type":"number","format":"double"},"pageUrl":{"type":"string"},"pfId":{"type":"integer","format":"int64"},"teamId":{"type":"integer","format":"int64"},"eventPageId":{"type":"integer","format":"int64"},"target":{"type":"number","format":"double"},"status":{"type":"string"}}},"QuestionPojo":{"type":"object","properties":{"question_id":{"type":"integer","format":"int64"},"response":{"type":"string"},"tag_id":{"type":"integer","format":"int64"},"alias":{"type":"string"},"additional_fee":{"type":"number","format":"double"}}},"RecentDonationPojo":{"type":"object","properties":{"name":{"type":"string"},"amount":{"type":"number","format":"double"},"amountStr":{"type":"string"},"giftAid":{"type":"number","format":"double"},"giftAidStr":{"type":"string"},"message":{"type":"string"},"donationDateStr":{"type":"string"},"date_updated":{"type":"string","format":"date-time"},"campaignGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}},"RegistrationPojo":{"type":"object","properties":{"registration_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"fitness_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"fitness_settings_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"campaign_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"account_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"payment_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"fundraising_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"registration_date":{"type":"string","format":"date-time"},"changed_at":{"type":"string","format":"date-time"},"order_id":{"type":"integer","format":"int64"},"event_guid":{"type":"string","format":"uuid"},"status":{"type":"string"},"manage_my_reg_url":{"type":"string"},"event_name":{"type":"string"},"primary":{"type":"boolean"},"method":{"type":"string"},"discount_id":{"type":"integer","format":"int64"},"discount_code":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"dob":{"type":"string","format":"date-time"},"gender":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"address_line_one":{"type":"string"},"address_line_two":{"type":"string"},"city":{"type":"string"},"county":{"type":"string"},"country":{"type":"string"},"post_code":{"type":"string"},"payment":{"$ref":"#/components/schemas/PaymentPojo"},"questions":{"type":"array","items":{"$ref":"#/components/schemas/QuestionPojo"}},"ticket":{"$ref":"#/components/schemas/TicketPojo"},"team":{"$ref":"#/components/schemas/TeamPojo"},"donation":{"$ref":"#/components/schemas/DonationRegistrationPojo"},"fundraising":{"$ref":"#/components/schemas/FundraisingPojo"},"merchandise":{"type":"array","items":{"$ref":"#/components/schemas/MerchandisePojo"}},"meta_data":{"type":"array","items":{"$ref":"#/components/schemas/MetaDataPojo"}}}},"SchedulePojo":{"type":"object","properties":{"createdOn":{"type":"string","format":"date-time"},"endDate":{"type":"string","format":"date-time"},"lastUpdatedAt":{"type":"string","format":"date-time"},"supporterId":{"type":"integer","format":"int64","example":7236487},"schedulesId":{"type":"integer","format":"int64","example":7236487},"amount":{"type":"number","format":"double"},"email":{"type":"string"},"status":{"type":"string"},"frequency":{"type":"string"},"pfId":{"type":"integer","format":"int64","example":7236487},"teamId":{"type":"integer","format":"int64","example":7236487},"eventPageId":{"type":"integer","format":"int64","example":7236487},"campaignGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"charityAccountGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"charityId":{"type":"integer","format":"int64","example":7236487},"companyId":{"type":"integer","format":"int64","example":7236487},"companyAccountGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"}}},"SupporterCustomCodePojo":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time"},"modify_date":{"type":"string","format":"date-time"},"custom_code_id":{"type":"integer","format":"int64","example":7236487},"supporter_id":{"type":"integer","format":"int64","example":7236487},"value":{"type":"string"},"name":{"type":"string"}}},"SupporterPojo":{"type":"object","properties":{"supporterId":{"type":"integer","format":"int64"},"charityAccountGuid":{"type":"string","format":"uuid"},"charityId":{"type":"integer","format":"int64"},"companyAccountGuid":{"type":"string","format":"uuid"},"companyId":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"title":{"type":"string"},"email":{"type":"string"},"isFund":{"type":"boolean"},"isDonor":{"type":"boolean"},"houseName":{"type":"string"},"address1":{"type":"string"},"address2":{"type":"string"},"town":{"type":"string"},"postcode":{"type":"string"},"country":{"type":"string"},"phone":{"type":"string"},"billingHouseName":{"type":"string"},"billingAddress1":{"type":"string"},"billingAddress2":{"type":"string"},"billingTown":{"type":"string"},"billingPostcode":{"type":"string"},"userGuid":{"type":"string","format":"uuid"},"join_date":{"type":"string","format":"date-time"},"last_donation_date":{"type":"string","format":"date-time"},"life_time_gift_aid":{"type":"number","format":"double"},"fundraising_total":{"type":"number","format":"double"},"full_name":{"type":"string"},"country_code":{"type":"string"},"currency_sign":{"type":"string"},"currency":{"type":"string"},"last_updated_at":{"type":"string","format":"date-time"}}},"TFPCustomCodePojo":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time"},"modify_date":{"type":"string","format":"date-time"},"custom_code_id":{"type":"integer","format":"int64","example":7236487},"pf_id":{"type":"integer","format":"int64","example":7236487},"value":{"type":"string"},"name":{"type":"string"}}},"TeamFundraisingPagePojo":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"supporterId":{"type":"integer","format":"int64","example":7236487},"companyId":{"type":"integer","format":"int64","example":7236487},"charityId":{"type":"integer","format":"int64","example":7236487},"charityAccountGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"companyAccountGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"campaignGuid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"teamName":{"type":"string"},"title":{"type":"string"},"raisedAmount":{"type":"number","format":"double"},"totalOfflineDonations":{"type":"number","format":"double"},"giftAidRaised":{"type":"number","format":"double"},"pageUrl":{"type":"string"},"pfId":{"type":"integer","format":"int64"},"teamId":{"type":"integer","format":"int64"},"eventPageId":{"type":"integer","format":"int64"},"target":{"type":"number","format":"double"},"status":{"type":"string"},"liveDate":{"type":"string","format":"date-time"},"lastUpdatedAt":{"type":"string","format":"date-time"}}},"TeamPojo":{"type":"object","properties":{"team_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"team_payment_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"team_fundraising_guid":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"team_id":{"type":"integer","format":"int64"},"team_name":{"type":"string"},"team_page":{"type":"string"}}},"TicketPojo":{"type":"object","properties":{"ticket_id":{"type":"integer","format":"int64"},"ticket_name":{"type":"string"},"ticket_type":{"type":"string"},"price":{"type":"number","format":"double"},"service_fee":{"type":"number","format":"double"},"description":{"type":"string"}}}},"securitySchemes":{"x-api-key":{"type":"apiKey","name":"x-api-key","in":"header"}}}}